import { FunctionComponent } from "react"
import { MdOutlineGridView } from "react-icons/md"
import "../main.css"

interface Props {
    isWellKnown?: boolean
    children?: string
}

export const IconWeb3: FunctionComponent<Props> = ({
    children,
    isWellKnown,
}) => {
    return (
        <>
            {isWellKnown && children ? (
                <>
                    <MdOutlineGridView />
                    <span className="flex items-center text-xl icon">{children}</span>
                </>
            ) : (
                <MdOutlineGridView />
            )}
        </>
    )
}
